cURL
curl -X POST "https://api.fitsociety.io/public/v1/clients/{clientId}/habits/{habitId}/entries" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: <stable_request_key>" \
-H "Content-Type: application/json" \
-d '{}'const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fitsociety.io/public/v1/clients/{clientId}/habits/{habitId}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/clients/{clientId}/habits/{habitId}/entries"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"entry": {
"entryId": "66f7b8b1e13c8d25f4d3d90a",
"habitId": "66f7b8b1e13c8d25f4d3d90a",
"occurredAt": "2026-07-14T10:00:00.000Z",
"localDate": "string",
"periodKey": "string",
"value": 1,
"unit": "string",
"note": "string"
},
"created": true,
"replaced": true
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
},
"idempotency": {
"replayed": false
}
}
}Client habits
Create habit entry
Requires habits:write. Creates or replaces one local-day habit entry for the client and habit.
POST
/
public
/
v1
/
clients
/
{clientId}
/
habits
/
{habitId}
/
entries
cURL
curl -X POST "https://api.fitsociety.io/public/v1/clients/{clientId}/habits/{habitId}/entries" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: <stable_request_key>" \
-H "Content-Type: application/json" \
-d '{}'const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fitsociety.io/public/v1/clients/{clientId}/habits/{habitId}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/clients/{clientId}/habits/{habitId}/entries"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"entry": {
"entryId": "66f7b8b1e13c8d25f4d3d90a",
"habitId": "66f7b8b1e13c8d25f4d3d90a",
"occurredAt": "2026-07-14T10:00:00.000Z",
"localDate": "string",
"periodKey": "string",
"value": 1,
"unit": "string",
"note": "string"
},
"created": true,
"replaced": true
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
},
"idempotency": {
"replayed": false
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Headers
Required for Public API write requests. Reusing the same key with the same method, path, and body replays the stored successful response; reusing it with a different request returns 409 idempotency.conflict.
Required string length:
1 - 200Example:
"booking-create-20260714-001"
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"
Example:
"66f7b8b1e13c8d25f4d3d90a"